AWS IoT Device SDK C++ v2: Aws::Iotjobs::RejectedError Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotjobs::RejectedError Class Referencefinal

`#include <RejectedError.h>`

## Public Member Functions
| RejectedError ()=default
| RejectedError (const Crt::JsonView &doc)
RejectedError & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp
Aws::Crt::Optional< Aws::Iotjobs::RejectedErrorCode > | Code
Aws::Crt::Optional< Aws::Crt::String > | Message
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< Aws::Iotjobs::JobExecutionState > | ExecutionState

## Detailed Description

Response document containing details about a failed request.

## Constructor & Destructor Documentation

## ◆ RejectedError() [1/2]

Aws::Iotjobs::RejectedError::RejectedError | ( |  | ) |
| default

## ◆ RejectedError() [2/2]

Aws::Iotjobs::RejectedError::RejectedError | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

RejectedError & Aws::Iotjobs::RejectedError::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotjobs::RejectedError::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::RejectedError::ClientToken

Opaque token that can correlate this response to the original request.

## ◆ Code

Aws::Crt::Optional<Aws::Iotjobs::RejectedErrorCode> Aws::Iotjobs::RejectedError::Code

Indicates the type of error.

## ◆ ExecutionState

Aws::Crt::Optional<Aws::Iotjobs::JobExecutionState> Aws::Iotjobs::RejectedError::ExecutionState

A JobExecutionState object. This field is included only when the code field has the value InvalidStateTransition or VersionMismatch.

## ◆ Message

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotjobs::RejectedError::Message

A text message that provides additional information.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotjobs::RejectedError::Timestamp

The date and time the response was generated by AWS IoT.

The documentation for this class was generated from the following files:

- jobs/include/aws/iotjobs/RejectedError.h
- jobs/source/RejectedError.cpp